Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management.runtime
Interface WLDFAccessRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, WebLogicMBean

public interface WLDFAccessRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

Use this interface to access the different types of diagnostic data generated by a server.

Since:
  9.0.0.0

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `SINGLETON_NAME` The short name of the singleton runtime MBean available on each Managed Server.

Method Summary
`String[]` | `getAvailableDiagnosticDataAccessorNames()` The logical names of the available diagnostic data access runtime instances.
`WLDFDataAccessRuntimeMBean[]` | `getWLDFDataAccessRuntimes()` An array containing all known instances of the WLDFDataAccessRuntimeMBean MBeans on this server.
`WLDFDataAccessRuntimeMBean` | `lookupWLDFDataAccessRuntime(String logicalName)` An instance of a WLDFDataAccessMBean defined by its logical name.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### SINGLETON_NAME

    public static final String SINGLETON_NAME

  The short name of the singleton runtime MBean available on each Managed Server.

  See Also:
    Constant Field Values

Method Detail

### getAvailableDiagnosticDataAccessorNames

    public String[] getAvailableDiagnosticDataAccessorNames()
                                                     throws ManagementException

  The logical names of the available diagnostic data access runtime instances.

  Returns:
    A String array containing the logical names of the data access runtime instances
  Throws:
    `ManagementException`

### getWLDFDataAccessRuntimes

    public WLDFDataAccessRuntimeMBean[] getWLDFDataAccessRuntimes()
                                                           throws ManagementException

  An array containing all known instances of the WLDFDataAccessRuntimeMBean MBeans on this server.

  Returns:
  Throws:
    `ManagementException`

### lookupWLDFDataAccessRuntime

    public WLDFDataAccessRuntimeMBean lookupWLDFDataAccessRuntime(String logicalName)
                                                           throws ManagementException

  An instance of a WLDFDataAccessMBean defined by its logical name. The name is constructed from the specific type of log data requested.

  Returns:
    the WLDFDataAccessRuntimeMBean that will allow access to the diagnostic data in the underlying diagnostic log
  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD